package com.example.shawarma.data.models

import androidx.room.Embedded
import androidx.room.Relation

data class OrderProductModelWithProduct(
    @Embedded
    val orderProductModel: OrderProductModel,
    @Relation(entity = ProductModel::class, parentColumn = "product_id", entityColumn = "id")
    val productList: List<ProductModel>
)
